{
  stdenv,
  lib,
  pkgs,
  makeDesktopItem,
}:

let
  version = "2.5.29";
in
stdenv.mkDerivation {
  name = "steam-rom-manager";
  src = pkgs.fetchurl {
    url = "https://github.com/SteamGridDB/steam-rom-manager/releases/download/v${version}/Steam-ROM-Manager-${version}.AppImage";
    hash = "sha256-6ZJ+MGIgr2osuQuqD6N9NnPiJFNq/HW6ivG8tyXUhvs=";
  };
  phases = [
    "installPhase"
  ];
  installPhase = ''
    runHook preInstall
    mkdir -p $out/bin
    install --mode=0755 $src $out/bin/steam-rom-manager
    runHook postInstall
  '';
  postInstall = ''
    mkdir -p $out/share/applications
    install -m 444 -D "$desktopItem/share/applications/"* -t $out/share/applications/
  '';

  desktopItem = makeDesktopItem {
    name = "steam-rom-manager";
    desktopName = "Steam Rom Manager";
    comment = "Manage additional entries in the Steam launcher.";
    categories = [
      "Application"
      "Utility"
    ];
    icon = "steam-rom-manager";
    type = "Application";
    exec = "steam-rom-manager";
  };
}
